[résolu]Debian etch, quelque soucis


#1

Bonjour,

Voilà, j’avais une sarge stable que je n’avais pas utilisé depuis des lustres, aussi, plutôt que de la faire passer en Etch et d’y laisser quelque dents, j’ai préferé écraser mes partoches et réinstaller proprement une Etch à partir d’une netinstall.

Tout s’est très bien déroullé à l’install, son, carte graphique et écran reconnu dès le départ, très bien tout ça.

Nan, le problème est qu’après avoir fait quelque install diverses (genre kdebase et d’autres kde*) j’ai été un peu déçu par le contenu des paquets :

  1. J’ai un peu galeré avec les kdeaddons et kde-amusements qui m’empêchaient au départ d’installer KDE (due à Etch ou on retrouve aussi en ce moment ce problème sur Sarge ?), résultat j’ai du installer KDE en choisissant à la main mes composant, ce qui a eut pour effet que j’ai du oublier quelque trucs étant donné que je trouve que mon interface kde 3.4 est pas très jolie.

  2. voulant installer Xine, je me jette sur apt-cache search xine, et là que vois-je ? Rien… xine-ui est visiblement has been, remplacé par gxine. J’install ce dernier, mais bon sang quelle horreur. Je suis d’accord, il marche, mais niveau interface, c’est une horreur ce truc. Pardessus le marcher, je peux même pas installer une autre skin, comme je pouvais le faire avec le xine-ui. Bref, j’ai un lecteur qui remplace xine, un lecteur qui marche, en revanche la skin (non modifiable apparament) de ce dernier est ignoble.

  3. Lorsque j’install un paquet, généralement on demande toujours une confirmation, O/N. Là, on me le demande une fois, mais on me le demande une deuxième fois. En fait, j’ai à confirmer deux fois avant d’installer un package, WTF ?

  4. Après lecture de mon DMESG, je me rends compte que là où il devrait y avoir marquer Sarge ou Etch, il y a marqué “testing/unstable”, est-ce normal ?

  5. Un apt-get update me renvoit une erreur de signature sur le FTP2.debian. Je comprends pas :frowning:

Bref, je ne sais pas encore ce que je vais découvrir par la suite, mais pouvez vous me dire si tout ça est normal ? Me dire comment changer la skin l’horrible gxine ou encore enjoliver un peu mon interface kde 3.4 ?

Merci à vous.

Là j’avoue hésiter à peine avant de remettre ma bonne vieille sarge…


#2
  1. Essaye une update de tes paquets ca pourrais peut etre servir mais pas sur

2)xine-ui n’est pas disponible pour etch mais tu peux installer la version stable ou unstable avec les preferences voir mon post forum.debian-fr.org/viewtopic.php?t=1728 c’est le meme principe

3)Ca me fait pareil quelques fois si tu trouve le moyen d’eviter ca fait moi signe :slightly_smiling:

4)Cette notation de version est gerer via le fichier /etc/debian_version mais n’est plus mis a jour ce n’est donc pas grave

5)Fait voir ton sources.list ou regarde le post forum.debian-fr.org/viewtopic.php?t=1810 et fait toi une bonne mixture de ce que tu désire le serveur n’est peut etre pas disponible a ce moment la reessaye plus tard :slightly_smiling:

ps je suis sous etch/sid et ca marche tres bien mis a par mes drivers nvidia non installer du a ma mise a jour de gcc mais je verrais ca plus tard car ce n’est que pour les jeux et en ce moment je ne joue plus je bosse :slightly_smiling:


#3

Apt-get update me renvoit ceci :

Réception de : 1 http://security.debian.org testing/updates Release.gpg [189B] Réception de : 2 ftp://ftp2.fr.debian.org testing Release.gpg [378B] Atteint http://security.debian.org testing/updates Release Atteint ftp://ftp2.fr.debian.org testing Release Ign ftp://ftp2.fr.debian.org testing Release Atteint ftp://ftp2.fr.debian.org testing/main Packages Atteint http://security.debian.org testing/updates/main Packages Atteint ftp://ftp2.fr.debian.org testing/main Sources 379o réceptionnés en 0s (381o/s) Lecture des listes de paquets... Fait W: GPG error: ftp://ftp2.fr.debian.org testing Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKE Y 010908312D230C5F W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.

Mon sourcelist :

[code]
[Debian GNU/Linux testing Etch - Official Snapshot i386 Binary-1 (20051111)]/ etch contr
ib main

deb ftp://ftp2.fr.debian.org/debian/ testing main
deb-src ftp://ftp2.fr.debian.org/debian/ testing main

deb http://security.debian.org/ testing/updates main[/code]


#4

Va falloir etoffé un peu ton sources.list :slightly_smiling:
remplace

[code]
[Debian GNU/Linux testing Etch - Official Snapshot i386 Binary-1 (20051111)]/ etch contrib main

deb ftp://ftp2.fr.debian.org/debian/ testing main
deb-src ftp://ftp2.fr.debian.org/debian/ testing main

deb http://security.debian.org/ testing/updates main[/code]
par

[code]
[Debian GNU/Linux testing Etch - Official Snapshot i386 Binary-1 (20051111)]/ etch contrib main

deb http://security.debian.org etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free
deb http://ftp2.fr.debian.org/debian etch main contrib non-free
deb-src http://ftp2.fr.debian.org/debian etch main contrib non-free [/code] et refait ton update


#5

quote=“nuitn0ire”

  1. Un apt-get update me renvoit une erreur de signature sur le FTP2.debian. Je comprends pas :frowning:

(…) Là j’avoue hésiter à peine avant de remettre ma bonne vieille sarge…[/quote]

meme chose pour moi en Etch depuis hier soir …

j’ai pas encore cherché pourquoi, cela ne m’embetant pas plus que ça …

et c’est pour ça que tu dois confirmer 2 fois (Yes/Oui) pour installer un paquet d’ailleurs.

pour xine ou n’importe quel autre paquet qui n’est pas dispo en Etch, suffit d’aller dans la boutique d’a côté, à savoir Sarge ou Sid, et cela le temps necessaire de faire tes amplettes …

rien de grave ni ennuyant en somme …

et si c’est ces petits “tracas” qui font que tu hesites à retourner sous Sarge, je t’assure que tu tiendras pas longtemps en Etch :confused: retournes y vite!! :stuck_out_tongue:


#6

[quote=“ghostintheshell”]et si c’est ces petits “tracas” qui font que tu hesites à retourner sous Sarge, je t’assure que tu tiendras pas longtemps en Etch :confused: retournes y vite!! :stuck_out_tongue:[/quote]Bah, même du temps ou la sarge était en testing, j’avais jamais eu de problème comme ça. Mais bon, mes serveurs tournent en sarge à l’heure actuelle, et je me suis dis que pour avoir des paquets un peu plus neuf sur ma machine cliente, j’allais passer en testing histoire de voire un peu les nouveautés. Je suis un peu déçu.

Sinon, quand vous dites aller voire du coté de sarge, vous entendez quoi ? Pour moi, ça reviendrait à modifier son source.list, le temps d’un update puis d’aller faire un search histoire de rappatrier le xine de Sarge sur ma Etch, bref, prendre ce qui m’intéresse depuis ces sources et ensuite seulement remettre mon source.list d’origine à savoir celui du testing.
Question bête, mais en bidouillant comme ça, ça marcherait ? jamais essayé, et plutôt que de mettre en vrac mon système je préfère demander.

en tout cas, merci à vous pour vos réponses rapides :slightly_smiling:


#7

Tu n’as pas besoin de modifier ton sources.list a chaque fois que tu voudra rajouter un paquet en fait il faut que tu mette dans ton sources.lists les référentiel vers stable et testing

donc ton sources.list devrais ressembler a ca

[code][Debian GNU/Linux testing Etch - Official Snapshot i386 Binary-1 (20051111)]/ etch contrib main

Stable

deb http://security.debian.org stable/updates main contrib non-free

deb-src http://security.debian.org/ stable/updates main contrib non-free
deb http://ftp.fr.debian.org/debian stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian stable main contrib non-free

Testing

deb http://security.debian.org etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free
deb http://ftp.fr.debian.org/debian etch main contrib non-free
deb-src http://ftp.fr.debian.org/debian etch main contrib non-free[/code]
Ensuite tu crée un fichier preferences dans le répertoire apt

et tu le rempli en précisant que tu ne veux que les paquets de la testing sauf ceux que tu vas préciser en stable

[code]Package: *

Pin: release a=testing

Pin-Priority: 550

Package: *

Pin: release a=apt-build

Pin-Priority: 990

Package: *

Pin: release a=stable

Pin-Priority: 550

Package: *

Pin: release a=unstable

Pin-Priority: 33

Package: *

Pin: release a=experimental

Pin-Priority: 15

Package: linux-source-2.6.*
Pin: release a=unstable
Pin-Priority: 550

Package: ndiswrapper-utils
Pin: release a=unstable
Pin-Priority: 550

Package: ndiswrapper-source
Pin: release a=unstable
Pin-Priority: 550

Package: mozilla-firefox
Pin: release a=unstable
Pin-Priority: 550

[/code]Ca c’est mon fichier de preferences a toi de prendre ce que tu as besoin et pour plus d’info tu peux aller voir
andesi.org/index.php?node=130


#8

Moi, j’ai un avertissement à l’installation de tous paquets sid : “les packages suivants ne sont pas certifiés. Voulez-vous les installer malgrè tout ?”

Mon sources.list nouveau-né :

deb http://ftp.fr.debian.org/debian/ sid main

deb http://security.debian.org/ etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free

deb-src http://ftp.fr.debian.org/debian/ sid main


#vlc

#deb http://download.videolan.org/pub/videolan/debian sid main
#deb-src http://download.videolan.org/pub/videolan/debian sid main



#deb cdrom:[Debian GNU/Linux testing _Etch_ - Official Snapshot i386 Binary-1 (20051111)]/ etch contrib main

#9

[quote=“Bluenote”]Moi, j’ai un avertissement à l’installation de tous paquets sid : “les packages suivants ne sont pas certifiés. Voulez-vous les installer malgrè tout ?”

Mon sources.list nouveau-né :

[code]
deb http://ftp.fr.debian.org/debian/ sid main

deb http://security.debian.org/ etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free

deb-src http://ftp.fr.debian.org/debian/ sid main

#vlc

#deb http://download.videolan.org/pub/videolan/debian sid main
#deb-src http://download.videolan.org/pub/videolan/debian sid main

#deb cdrom:[Debian GNU/Linux testing Etch - Official Snapshot i386 Binary-1 (20051111)]/ etch contrib main
[/code][/quote]

en effet, Etch, Sid, même combat, même message …


#10

pas grave, la politique de la maison, c’est satisfait ou remboursé ! :laughing:

sans rire, ça me ferait mal au coeur de devoir rester sous une Sarge …

et donc je compense largement ta deception par ma grande et heureuse joie d’utiliser Etch au quotidien!

au fait, y’a l’air d’avoir eu de la mise à jour avec KDE (3.4.2 -> 3.4.3) et l’installation de K3b, Kaffeine et Kipi, même si pas encore disponible depuis Etch, se fait sans aucun souci de dépendance depuis la Sid! Cool, c’est déjà mieux, on avance 8)


#11

quote=“nuitn0ire”

Sinon, quand vous dites aller voire du coté de sarge, vous entendez quoi ? Pour moi, ça reviendrait à modifier son source.list, le temps d’un update puis d’aller faire un search histoire de rappatrier le xine de Sarge sur ma Etch, bref, prendre ce qui m’intéresse depuis ces sources et ensuite seulement remettre mon source.list d’origine à savoir celui du testing.
Question bête, mais en bidouillant comme ça, ça marcherait ? jamais essayé, et plutôt que de mettre en vrac mon système je préfère demander.

(…)[/quote]

en effet, c’est pas plus compliqué; c’est personnellement ce que je fais dans les rares cas ou je dois aller pecher quelque chose dans Sid …

@+


#12

Oui, chez moi c’est kde 3.4.3 :wink:

Et pour l’instant, je ne suis pas déçu. La sid me servira juste à tester les nouveautés, le serveur web restant sur la Sarge.


#13

Présentement (comme disent nos amis Africains) je suis sous Sid et je confirme 3.4.3-2
Cesoir, sous Etch, je vérifierai.
Pour Sarge, on en est tjrs à la 3.3 :cry:


#14

C’est joli ces petits trucs dans la barre des tâches qui font comme un damier. (qd on pointe la souris sur une appli)

C’est dû à kde 3.4.3 ou xorg ? (comme j’ai changé les 2…)


#15

[quote=“Bluenote”]C’est joli ces petits trucs dans la barre des tâches qui font comme un damier. (qd on pointe la souris sur une appli)

C’est dû à kde 3.4.3 ou xorg ? (comme j’ai changé les 2…)[/quote]

aucune idée je suis sous Gnome :smiley:

je ne fais qu’utiliser que quelques applis de KDE :wink:

++


#16

Obsolescence annuelle des clé gpg si j’ai bien compris ce que j’ai lu par ailleurs.
Pour récupérer et installer les nouvelles clés :wget http://ftp-master.debian.org/ziyi_key_2006.asc -O - | sudo apt-key add -


#17

super Korben, ça fonctionne!!


#18

Moi c’est a peu pres la meme chose mais pour nerim W: GPG error: ftp://ftp.nerim.net sarge Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907 W: GPG error: ftp://ftp.nerim.net etch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907 W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes. j’ai pas encore trouvé la clé


#19

[quote=“Ashgenesis”]Moi c’est a peu pres la meme chose mais pour nerim W: GPG error: ftp://ftp.nerim.net sarge Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907 W: GPG error: ftp://ftp.nerim.net etch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907 W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes. j’ai pas encore trouvé la clé[/quote]

c’est expliqué là: ftp://ftp.nerim.net/debian-marillat/faq.html


#20

Faut vraiment que j’arrete de chercher apres minuit moi je trouve plus rien :laughing: :laughing: :laughing: :laughing: